commit:     d1e7521fb883fa4dd2d65487fdffda4903bd0d4a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 12 17:50:46 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 12 17:50:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1e7521f

net-fs/samba: use dummy .pc file for llvm-libunwind

LLVM still doesn't provide any...

Closes: https://bugs.gentoo.org/874633
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-fs/samba/samba-4.16.10.ebuild | 19 +++++++++++++++++++
 net-fs/samba/samba-4.16.8.ebuild  | 19 +++++++++++++++++++
 net-fs/samba/samba-4.17.8.ebuild  | 19 +++++++++++++++++++
 net-fs/samba/samba-4.18.3.ebuild  | 19 +++++++++++++++++++
 4 files changed, 76 insertions(+)

diff --git a/net-fs/samba/samba-4.16.10.ebuild 
b/net-fs/samba/samba-4.16.10.ebuild
index 91b5cf463acd..258c37134aeb 100644
--- a/net-fs/samba/samba-4.16.10.ebuild
+++ b/net-fs/samba/samba-4.16.10.ebuild
@@ -233,6 +233,25 @@ multilib_src_configure() {
                bundled_libs="cmocka,${bundled_libs}"
        fi
 
+       # bug #874633
+       if use llvm-libunwind ; then
+               mkdir -p "${T}"/${ABI}/pkgconfig || die
+
+               local -x 
PKG_CONFIG_PATH="${T}/${ABI}/pkgconfig:${PKG_CONFIG_PATH}"
+
+               cat <<-EOF > "${T}"/${ABI}/pkgconfig/libunwind-generic.pc || die
+               exec_prefix=\${prefix}
+               libdir=/usr/$(get_libdir)
+               includedir=\${prefix}/include
+
+               Name: libunwind-generic
+               Description: libunwind generic library
+               Version: 1.70
+               Libs: -L\${libdir} -lunwind
+               Cflags: -I\${includedir}
+               EOF
+       fi
+
        local myconf=(
                --enable-fhs
                --sysconfdir="${EPREFIX}/etc"

diff --git a/net-fs/samba/samba-4.16.8.ebuild b/net-fs/samba/samba-4.16.8.ebuild
index 2f33091b53fb..3cefea75dfa9 100644
--- a/net-fs/samba/samba-4.16.8.ebuild
+++ b/net-fs/samba/samba-4.16.8.ebuild
@@ -233,6 +233,25 @@ multilib_src_configure() {
                bundled_libs="cmocka,${bundled_libs}"
        fi
 
+       # bug #874633
+       if use llvm-libunwind ; then
+               mkdir -p "${T}"/${ABI}/pkgconfig || die
+
+               local -x 
PKG_CONFIG_PATH="${T}/${ABI}/pkgconfig:${PKG_CONFIG_PATH}"
+
+               cat <<-EOF > "${T}"/${ABI}/pkgconfig/libunwind-generic.pc || die
+               exec_prefix=\${prefix}
+               libdir=/usr/$(get_libdir)
+               includedir=\${prefix}/include
+
+               Name: libunwind-generic
+               Description: libunwind generic library
+               Version: 1.70
+               Libs: -L\${libdir} -lunwind
+               Cflags: -I\${includedir}
+               EOF
+       fi
+
        local myconf=(
                --enable-fhs
                --sysconfdir="${EPREFIX}/etc"

diff --git a/net-fs/samba/samba-4.17.8.ebuild b/net-fs/samba/samba-4.17.8.ebuild
index 64dc7ce9bf2c..3c6e492f5d8a 100644
--- a/net-fs/samba/samba-4.17.8.ebuild
+++ b/net-fs/samba/samba-4.17.8.ebuild
@@ -230,6 +230,25 @@ multilib_src_configure() {
                bundled_libs="cmocka,${bundled_libs}"
        fi
 
+       # bug #874633
+       if use llvm-libunwind ; then
+               mkdir -p "${T}"/${ABI}/pkgconfig || die
+
+               local -x 
PKG_CONFIG_PATH="${T}/${ABI}/pkgconfig:${PKG_CONFIG_PATH}"
+
+               cat <<-EOF > "${T}"/${ABI}/pkgconfig/libunwind-generic.pc || die
+               exec_prefix=\${prefix}
+               libdir=/usr/$(get_libdir)
+               includedir=\${prefix}/include
+
+               Name: libunwind-generic
+               Description: libunwind generic library
+               Version: 1.70
+               Libs: -L\${libdir} -lunwind
+               Cflags: -I\${includedir}
+               EOF
+       fi
+
        local myconf=(
                --enable-fhs
                --sysconfdir="${EPREFIX}/etc"

diff --git a/net-fs/samba/samba-4.18.3.ebuild b/net-fs/samba/samba-4.18.3.ebuild
index dd6ebd54b02e..5ad2cad9375e 100644
--- a/net-fs/samba/samba-4.18.3.ebuild
+++ b/net-fs/samba/samba-4.18.3.ebuild
@@ -230,6 +230,25 @@ multilib_src_configure() {
                bundled_libs="cmocka,${bundled_libs}"
        fi
 
+       # bug #874633
+       if use llvm-libunwind ; then
+               mkdir -p "${T}"/${ABI}/pkgconfig || die
+
+               local -x 
PKG_CONFIG_PATH="${T}/${ABI}/pkgconfig:${PKG_CONFIG_PATH}"
+
+               cat <<-EOF > "${T}"/${ABI}/pkgconfig/libunwind-generic.pc || die
+               exec_prefix=\${prefix}
+               libdir=/usr/$(get_libdir)
+               includedir=\${prefix}/include
+
+               Name: libunwind-generic
+               Description: libunwind generic library
+               Version: 1.70
+               Libs: -L\${libdir} -lunwind
+               Cflags: -I\${includedir}
+               EOF
+       fi
+
        local myconf=(
                --enable-fhs
                --sysconfdir="${EPREFIX}/etc"

Reply via email to